<?php
defined( '_VALID_MOS' ) or die( 'Restricted access' );
function populate_db( &$database, $sqlfile='mambo.sql') {
    global $errors, $mosConfig_absolute_path;

    $mqr = @get_magic_quotes_runtime();
    @set_magic_quotes_runtime(0);
	
	$file = $mosConfig_absolute_path . "/administrator/components/com_cuentadigital/sql/" . $sqlfile;

    $query = fread( fopen( $file, 'r' ), filesize( $file ) );
    @set_magic_quotes_runtime($mqr);
    $pieces  = split_sql($query);

    for ($i=0; $i<count($pieces); $i++) {
        $pieces[$i] = trim($pieces[$i]);
        if(!empty($pieces[$i]) && $pieces[$i] != "#") {
            $database->setQuery( $pieces[$i] );
            if (!$database->query()) {
                $errors[] = array ( $database->getErrorMsg(), $pieces[$i] );
            }
        }
    }
}

/**
 * @param string
 */
function split_sql($sql) {
    $sql = trim($sql);
    $sql = ereg_replace("\n#[^\n]*\n", "\n", $sql);

    $buffer = array();
    $ret = array();
    $in_string = false;

    for($i=0; $i<strlen($sql)-1; $i++) {
        if($sql[$i] == ";" && !$in_string) {
            $ret[] = substr($sql, 0, $i);
            $sql = substr($sql, $i + 1);
            $i = 0;
        }

        if($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\") {
            $in_string = false;
        }
        elseif(!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset($buffer[0]) || $buffer[0] != "\\")) {
            $in_string = $sql[$i];
        }
        if(isset($buffer[1])) {
            $buffer[0] = $buffer[1];
        }
        $buffer[1] = $sql[$i];
    }

    if(!empty($sql)) {
        $ret[] = $sql;
    }
    return($ret);
}


function com_install () {
	global $database, $mosConfig_absolute_path;

    $query = "SHOW TABLES LIKE 'jos_vm_payment_method'";
    $database->setQuery( $query );
    $row = $database->loadRow();

	if ($row[0] == "jos_vm_payment_method") {

		// Link DineroMail Files

		$file = $mosConfig_absolute_path . "/administrator/components/com_cuentadigital/ps_cuentadigital.php";
		$dest = $mosConfig_absolute_path . "/administrator/components/com_virtuemart/classes/payment/ps_cuentadigital.php";

		symlink ($file, $dest);

        $file2 = $mosConfig_absolute_path . "/administrator/components/com_cuentadigital/ps_cuentadigital.cfg.php";
        $dest2 = $mosConfig_absolute_path . "/administrator/components/com_virtuemart/classes/payment/ps_cuentadigital.cfg.php";

        symlink ($file2, $dest2);

		populate_db( $database, 'cuentadigital.sql' );

		mosRedirect("index2.php?pshop_mode=admin&page=store.payment_method_list&option=com_virtuemart","CuentaDigital Payment Module instaled");

	}

}

?>
                                          
